Skip to main content
`Ctrl`+`K`

# BVRegister

Adds a new storage format to the `BV` package.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVRegister(const char *name,PetscErrorCode (*function)(BV))

Not Collective

## Input Parameters

- name - name of a new user-defined `BV`

- function - routine to create context

## Notes

`BVRegister()` may be called multiple times to add several user-defined basis vectors.

## See Also

BV: Basis Vectors, `BVRegisterAll()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvfunc.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages